
Figure - Bug #117590
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】连接中控播放音乐，副屏播放在线音乐，来回切换两次后，中控和副屏同时出
声
2023-04-20 16:28 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-20

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305050011

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: edge应用焦点申请优化

Description

【前提条件】

1、副屏和中控连接

【测试步骤】

1、中控播放音乐

2、副屏使用edge浏览器播放在线音乐

3、切回中控播放音乐

4、使用副屏播放在线音乐

5、来回切换

【预期结果】

5、始终只有一个设备出声

【实际结果】

5、中控和副屏同时出声

History

#1 - 2023-04-24 11:00 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

■ 当前分析

edge浏览器播放音乐不走playerEvent流程。导致播放音乐时不会去向中控申请焦点。

框架侧没有更好的优化，目前只能针对edge应用做针对性处理。

#2 - 2023-04-24 15:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

195703 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com
MM: Audio: edge play music focus requestedge play music focus requestTC-RID: 0301-0900116IssueID: TS-R-BUG-117590Change-Id:

Ic70ce1520dceead6f6f36dc4cf34e55d4109562b

#3 - 2023-04-24 15:06 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to edge应用焦点申请优化

HI 永红

该问题的修复代码已经投入，请使用4/24后的版本进行验证，谢谢！

#4 - 2023-05-05 14:24 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305050011

5.5

验证通过

#5 - 2023-05-05 14:24 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100
